Anubis - Bachelor thesis project

Public Member Functions | Public Attributes | Static Public Attributes | Private Member Functions | List of all members
interface.Ui_MainWindow Class Reference

Main class for user interface. More...

Inheritance diagram for interface.Ui_MainWindow:
Collaboration diagram for interface.Ui_MainWindow:

## Public Member Functions
def | __init__ (self)
| Initialize the class and all its variables. More...
def | setupUi (self, MainWindow)
| Create GUI widgets. More...
def | retranslateUi (self, MainWindow)
| Sets names of widgets. More...
def | connect_actions (self)
| Connect method calls to appropriate widgets. More...
def | setup_validators (self)
| create input constrains for various widgets More...
def | eventFilter (self, obj, event)
| Implements dragging inside preview area. More...
def | tab_changed (self)
| Called when tab changes. More...
def | set_status_msg (self, message, timeout=0)
| Shows message in status bar. More...
def | clear_status (self)
| Empties self.status_label in self.statusbar. More...
def | get_directory (self, line_output=None)
| Opens file dialog for user to set path to save frames. More...
def | read_config (self)
| Loads configuration from config.ini file. More...
def | save_cti_config (self)
| Saves all currently loaded GenTL producers to the config file. More...
def | about (self)
| Shows simple about dialog. More...
def | add_cti (self)
| Used to load a new GenTL producer file. More...
def | remove_cti (self)
| Used to remove selected GenTL producer file. More...
def | refresh_cameras (self)
| Calls function to detect connected cameras and prints them as items in a list. More...
def | connect_camera (self, index)
| Connect to selected camera. More...
def | disconnect_camera (self)
| Disconnect current camera. More...
def | record (self)
| Starts and stops recording. More...
def | seq_duration_wait (self)
| Automatic recording interrupt. More...
def | preview (self)
| Starts live preview. More...
def | set_zoom (self, flag)
| Set the zoom amount of the image previewed. More...
def | single_frame (self)
| Acquire and draw a single frame. More...
def | show_preview (self)
| Draws image from camera in real time. More...
def | preview_callback (self)
| Auxiliary method used to transfer thread state change into the main thread. More...
def | update_img (self)
| update image in the live preview window. More...
def | load_model (self)
| When user wants to load a tensorflow model, this method will open a file dialog and makes sure the path provided actually contains a tensorflow model. More...
def | save_model (self)
| If tensorflow model is loaded, the file dialog is opened for user to choose save location. More...
def | choose_dataset (self)
| Get dataset path and reenable preprocess button. More...
def | preprocess_dataset (self)
| Is called after user chooses dataset and clicks the load button. More...
def | preprocess_callback (self)
| Auxiliary method used to transfer thread state changes into the main thread. More...
def | update_processing (self)
| While the dataset is being processed this method shows the progress to the user. More...
def | train_model (self)
| When the train button is pressed, this methods makes sure the training will start correctly. More...
def | training_callback (self)
| Auxiliary method used to transfer thread state changes into the main thread. More...
def | update_training (self)
| Updates training progress in the GUI. More...
def | predict (self, frame)
| Starts a thread used to classify images from live camera feed. More...
def | show_parameters (self)
| Loads all camera's features and creates dynamic widgets for every feature. More...
def | start_refresh_parameters (self)
| Called automatically when feat_refresh_timer runs out. More...
def | get_new_val_parameters (self)
| Check for new parameter value. More...
def | update_parameters (self)
| Writes new values of the parameters to the GUI. More...
def | load_parameters (self)
| Fills layout with feature name and value pairs. More...
def | save_cam_config (self)
| Opens file dialog for user to select where to save camera configuration. More...
def | load_cam_config (self)
| Allows a user to choose saved xml configuration and load it into the camera. More...
def | callback_parameters (self)
| Auxiliary method used to transfer thread state change into the main thread. More...
def | reset_seq_settings (self)
| Restores default recording settings. More...
def | save_seq_settings (self)
| Saves recording settings. More...

## Public Attributes
| feat_refresh_timer
| Automatic feature refresh timer. More...
| image_pixmap
| Holds current frame displayed in the GUI. More...
| w_preview
| Width of the preview area. More...
| h_preview
| Height of the preview area. More...
| model_loaded
| Is tensorflow model loaded. More...
| move_x_prev
| Last value of the dragging in the preview area - x axis. More...
| move_y_prev
| Last value of the dragging in the preview area - y axis. More...
| process_perc
| Progress percentage of dataset loading/preprocessing. More...
| parameter_values
| Used to store values of parameters when automatically refreshing them. More...
| update_completed_flag
| Flag used when running various parameter refreshing methods. More...
| update_flag
| Flag used when running various parameter refreshing methods. More...
| preview_zoom
| Value of current preview zoom in %/100. More...
| preview_fit
| Resizing image to preview area size instead of using zoom. More...
| top_items
| Holds parameter category paths for tree widget. More...
| children_items
| Holds children widgets for tree widget. More...
| feat_widgets
| Contains all dynamically created widgets for parameters. More...
| feat_labels
| Contains all dynamically created labels of parameters. More...
| feat_queue
| Stores dictionaries of every parameter until they are processed to the GUI. More...
| detected
| List of detected cameras. More...
| connected
| Is camera connected. More...
| training_flag
| Is true while the tensorflow training is running. More...
| param_flag
| Flag is not set while the application is getting parameters from the cam object. More...
| process_flag
| Signals that computer vision class is still processing dataset. More...
| process_prog_flag
| Signal used to tell the main thread to update dataset progress. More...
| callback_train_signal
| Widget used to transfer GUI changes from thread into the main thread while training. More...
| callback_process_signal
| Widget used to transfer GUI changes from thread into the main thread while processing dataset. More...
| resize_signal
| Widget used to transfer GUI changes from thread into the main thread while updating preview. More...
| parameters_signal
| Widget used to transfer GUI changes from thread into the main thread while showing parameters. More...
| progress_flag
| Signal used to tell the main thread to update training progress. More...
| train_vals
| dictionary holding variables used in a callback while training More...
| prediction_flag
| Signals that prediction was completed and a new one can be made. More...
| interupt_flag
| Signals that a recording was stopped, either by timer or manually. More...
| recording
| State of recording. More...
| preview_live
| State of live preview. More...
| icon_offline
| Holds image of offline state of a camera. More...
| icon_standby
| Holds image of standby state of a camera. More...
| icon_busy
| Holds image of busy state of a camera. More...
| fps
| Current frames per second received from the camera. More...
| received
| Total sum of received frames for active camera session. More...
| status_timer
| Timer used to show a status messages for specific time window. More...
| centralwidget
| gridLayout
| preview_and_control
| verticalLayout_2
| preview_area
| camera_preview
| widget_controls
| gridLayout_4
| btn_zoom_in
| btn_zoom_out
| btn_zoom_100
| btn_zoom_fit
| btn_single_frame
| btn_start_preview
| btn_start_recording
| tabs
| tab_connect
| verticalLayout_4
| widget_4
| horizontalLayout_3
| btn_connect_camera
| btn_refresh_cameras
| btn_disconnect_camera
| list_detected_cameras
| frame_cti
| gridLayout_7
| btn_remove_cti
| btn_add_cti
| tip_add_cti
| combo_remove_cti
| last_time_move
| seq_duration_thread
| show_preview_thread
| preprocess_thread
| callback_preprocess_thread
| train_thread
| callback_train_thread
| prediction_thread
| update_thread
| get_params_thread
| param_callback_thread

## Static Public Attributes
| tab_config
| verticalLayout_3
| frame_config_level
| horizontalLayout_5
| label_config_level
| combo_config_level
| tree_features
| widget_3
| horizontalLayout_2
| btn_save_config
| btn_load_config
| tab_recording_config
| verticalLayout
| widget_sequence_name
| formLayout_4
| label_file_name_recording
| line_edit_sequence_name
| label_sequence_name
| widget_sequence_save
| formLayout_3
| file_manager_save_location
| line_edit_save_location
| widget_duration
| formLayout_2
| label_sequence_duration
| line_edit_sequence_duration
| label_sequence_duration_tip
| spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
| btn_save_sequence_settings
| btn_reset_sequence_settings
| tab_tensorflow
| gridLayout_3
| btn_save_model
| line_edit_model_name
| btn_load_model
| tensorflow_tabs
| tab_classify
| gridLayout_5
| predictions
| tab_train
| gridLayout_9
| frame_train_stats
| gridLayout_8
| label_val_acc
| line_edit_acc
| label_acc
| label_val_loss
| line_edit_val_acc
| line_edit_val_loss
| label_epoch
| label_active_epoch
| line_edit_loss
| label_loss
| btn_train_cancel
| progress_bar_train
| frame_train_preprocess
| gridLayout_6
| label_img_resize
| btn_load_dataset
| label_val_split
| spin_box_val_split
| spin_box_epochs
| label_train_epochs
| btn_preprocess
| progress_bar_preprocess
| label_res_width
| label_res_height
| line_edit_res_width
| line_edit_res_height
| spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
| line_edit_dataset_path
| menubar
| menuFile
| menuHelp
| statusbar
| status_label
| stretch
| camera_icon
| camera_status
| fps_status
| receive_status
| actionAdd_Remove_cti_file
| actionOpen_Help
| actionRemove_cti_file
| action_save_frame
| action_save_settings
| actionAbout_Anubis
| actionGit_Repository
| actionSave_camera_config
| actionLoad_camera_config
| vision

## Private Member Functions
def | _get_QImage_format (self, format_string)
| The image format provided by camera object (according to GenICam standard) is transoformed to one of the color formats supported by PyQt. More...

## Detailed Description

Main class for user interface.

This file implements Ui_MainWindow class which defines the application's graphical user interface. Methods setupUi and retranslateUi are generated from QtDesigner using pyuic5 tool. When modifying the GUI these methods should be carefully edited with regards to calls at their ends which are used to bind methods to the widgets and initialize other variables. Methods in the class are mainly used to check some conditions and run methods of other connected classes like Camera and Computer_vision.

Definition at line 34 of file interface.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def interface.Ui_MainWindow.__init__ | ( |  | self | ) |

Initialize the class and all its variables.

Definition at line 44 of file interface.py.

## Member Function Documentation

## ◆ _get_QImage_format()

def interface.Ui_MainWindow._get_QImage_format | ( |  | self,
|  |  | format_string
| ) |  |
| private

The image format provided by camera object (according to GenICam standard) is transoformed to one of the color formats supported by PyQt.

Parameters

  [in] | format_string | text containing color format defined by GenICam or another standard.

Definition at line 1430 of file interface.py.

## ◆ about()

def interface.Ui_MainWindow.about | ( |  | self | ) |

Shows simple about dialog.

About dialog contains informations about version, author etc.

Definition at line 1018 of file interface.py.

## ◆ add_cti()

def interface.Ui_MainWindow.add_cti | ( |  | self | ) |

Used to load a new GenTL producer file.

User can select a new file using file dialog.

Definition at line 1029 of file interface.py.

## ◆ callback_parameters()

def interface.Ui_MainWindow.callback_parameters | ( |  | self | ) |

Auxiliary method used to transfer thread state change into the main thread.

Definition at line 2049 of file interface.py.

## ◆ choose_dataset()

def interface.Ui_MainWindow.choose_dataset | ( |  | self | ) |

Get dataset path and reenable preprocess button.

Definition at line 1600 of file interface.py.

## ◆ clear_status()

def interface.Ui_MainWindow.clear_status | ( |  | self | ) |

Empties self.status_label in self.statusbar.

Method is called after active message times out.

Definition at line 931 of file interface.py.

## ◆ connect_actions()

def interface.Ui_MainWindow.connect_actions | ( |  | self | ) |

Connect method calls to appropriate widgets.

All static widgets are connected to some method either in this class or call method of another object. In this method all such bindings done excluding dynamically created widgets like camera's features

Definition at line 812 of file interface.py.

## ◆ connect_camera()

def interface.Ui_MainWindow.connect_camera | ( |  | self,
|  |  | index
| ) |  |

Connect to selected camera.

This method is called either by double clicking camera in a list or by pressing connect button

Parameters

  [in] | index | index of selected camera in the list

Definition at line 1081 of file interface.py.

## ◆ disconnect_camera()

def interface.Ui_MainWindow.disconnect_camera | ( |  | self | ) |

Disconnect current camera.

Method disconnects camera and sets all statusbar items to their default state.

Definition at line 1111 of file interface.py.

## ◆ eventFilter()

def interface.Ui_MainWindow.eventFilter | ( |  | self,
|  |  | obj,
|  |  | event
| ) |  |

Implements dragging inside preview area.

whin user cliks and drags inside of a preview area, this method is called and do the scrolling based on the distance dragged in each direction.

Definition at line 876 of file interface.py.

## ◆ get_directory()

def interface.Ui_MainWindow.get_directory | ( |  | self,
|  |  | line_output = `None`
| ) |  |

Opens file dialog for user to set path to save frames.

Method is called by Save Location button. Path is written to the label next to the button and can be further modified.

Definition at line 937 of file interface.py.

## ◆ get_new_val_parameters()

def interface.Ui_MainWindow.get_new_val_parameters | ( |  | self | ) |

Check for new parameter value.

after camera features are loaded, this method periodically calls for the most recent value of each parameter.

Definition at line 1914 of file interface.py.

## ◆ load_cam_config()

def interface.Ui_MainWindow.load_cam_config | ( |  | self | ) |

Allows a user to choose saved xml configuration and load it into the camera.

Allowes only xml file in the file dialog and after loading prints a status message

Definition at line 2024 of file interface.py.

## ◆ load_model()

def interface.Ui_MainWindow.load_model | ( |  | self | ) |

When user wants to load a tensorflow model, this method will open a file dialog and makes sure the path provided actually contains a tensorflow model.

Definition at line 1561 of file interface.py.

## ◆ load_parameters()

def interface.Ui_MainWindow.load_parameters | ( |  | self | ) |

Fills layout with feature name and value pairs.

Based on the feature type a new label, text area, checkbox or combo box is created. In this version all available parameters are shown.

Definition at line 1982 of file interface.py.

## ◆ predict()

def interface.Ui_MainWindow.predict | ( |  | self,
|  |  | frame
| ) |  |

Starts a thread used to classify images from live camera feed.

This method should only be called when the last prediction ended. That means not every frame will be classified if the computer can't keep up in the real time.

Parameters

  [in] | frame | Picture to be classified. The format is OpenCV image.

Definition at line 1723 of file interface.py.

## ◆ preprocess_callback()

def interface.Ui_MainWindow.preprocess_callback | ( |  | self | ) |

Auxiliary method used to transfer thread state changes into the main thread.

Definition at line 1643 of file interface.py.

## ◆ preprocess_dataset()

def interface.Ui_MainWindow.preprocess_dataset | ( |  | self | ) |

Is called after user chooses dataset and clicks the load button.

This method will proceed only if some path to the dataset has been provided. From the names of the folders the category names are derived. The data are then processed and modified to be suitable as inputs to the loaded neural network. Preprocessing runs in its own thread and provides callback to the GUI.

Definition at line 1606 of file interface.py.

## ◆ preview()

def interface.Ui_MainWindow.preview | ( |  | self | ) |

Starts live preview.

Unlike recording method, this method does not save frames to a drive. Preview picture is rendered in separate thread.

Definition at line 1209 of file interface.py.

## ◆ preview_callback()

def interface.Ui_MainWindow.preview_callback | ( |  | self | ) |

Auxiliary method used to transfer thread state change into the main thread.

Definition at line 1406 of file interface.py.

## ◆ read_config()

def interface.Ui_MainWindow.read_config | ( |  | self | ) |

Loads configuration from config.ini file.

This method is called on startup and loads all modifications user made to applications default state.

Definition at line 953 of file interface.py.

## ◆ record()

def interface.Ui_MainWindow.record | ( |  | self | ) |

Starts and stops recording.

Is called by start/stop button. Recording is always started manually. Recording ends with another button click or after time set in self.line_edit_sequence_duration passes. Save location and name is determined by the text in self.line_edit_save_location and self.line_edit_sequence_name.

Definition at line 1141 of file interface.py.

## ◆ refresh_cameras()

def interface.Ui_MainWindow.refresh_cameras | ( |  | self | ) |

Calls function to detect connected cameras and prints them as items in a list.

If no cameras are present nothing will happen. If cameras are detected, all previous item are cleared and cameras detected in this call are printed.

Definition at line 1060 of file interface.py.

## ◆ remove_cti()

def interface.Ui_MainWindow.remove_cti | ( |  | self | ) |

Used to remove selected GenTL producer file.

User can select file from combo box.

Definition at line 1049 of file interface.py.

## ◆ reset_seq_settings()

def interface.Ui_MainWindow.reset_seq_settings | ( |  | self | ) |

Restores default recording settings.

Settings are saved to config.ini file. Defaults are hard-coded in this method.

Definition at line 2061 of file interface.py.

## ◆ retranslateUi()

def interface.Ui_MainWindow.retranslateUi | ( |  | self,
|  |  | MainWindow
| ) |  |

Sets names of widgets.

Widgets are created in setupUi method, this method sets text of the buttons, tabs and default texts for all of these widgets.

Definition at line 732 of file interface.py.

## ◆ save_cam_config()

def interface.Ui_MainWindow.save_cam_config | ( |  | self | ) |

Opens file dialog for user to select where to save camera configuration.

Called by Save configuration button. Configuration is saved as an .xml file and its contents are dependent on module used in Camera class to save the config.

Definition at line 2006 of file interface.py.

## ◆ save_cti_config()

def interface.Ui_MainWindow.save_cti_config | ( |  | self | ) |

Saves all currently loaded GenTL producers to the config file.

When the program starts, the saved producers are loaded from the config file. Save method overwrites any previous configuration.

Definition at line 986 of file interface.py.

## ◆ save_model()

def interface.Ui_MainWindow.save_model | ( |  | self | ) |

If tensorflow model is loaded, the file dialog is opened for user to choose save location.

Definition at line 1580 of file interface.py.

## ◆ save_seq_settings()

def interface.Ui_MainWindow.save_seq_settings | ( |  | self | ) |

Saves recording settings.

Settings are saved to config.ini file. Parameters saved are: file name, save, location and sequence duration.

Definition at line 2101 of file interface.py.

## ◆ seq_duration_wait()

def interface.Ui_MainWindow.seq_duration_wait | ( |  | self | ) |

Automatic recording interrupt.

Let camera record for defined time and if the recording is not manually terminated stop the recording.

Definition at line 1189 of file interface.py.

## ◆ set_status_msg()

def interface.Ui_MainWindow.set_status_msg | ( |  | self,
|  |  | message,
|  |  | timeout = `0`
| ) |  |

Shows message in status bar.

Method is called when other methods need to send the user some confrimation or status update.

Parameters

  [in] | message | Contains text to be displayed in the status bar
  [in] | timeout | For how long should the message be displayed [ms]. Defaults to infinity.

Definition at line 917 of file interface.py.

## ◆ set_zoom()

def interface.Ui_MainWindow.set_zoom | ( |  | self,
|  |  | flag
| ) |  |

Set the zoom amount of the image previewed.

This method only sets the zooming variable, actual resizing is done in other methods.

Parameters

  [in] | flag | Is used to define type of zoom. 1 - zoom in -1 - zoom out 0 - zoom fit 100- zoom reset

Definition at line 1241 of file interface.py.

## ◆ setup_validators()

def interface.Ui_MainWindow.setup_validators | ( |  | self | ) |

create input constrains for various widgets

if a text widget needs certain input type, the validators are set up here. For example setting prohibited characters of the file saved.

Definition at line 867 of file interface.py.

## ◆ setupUi()

def interface.Ui_MainWindow.setupUi | ( |  | self,
|  |  | MainWindow
| ) |  |

Create GUI widgets.

Excluding section marked as added manually, the whole method is generated by pyuic5 tool and should not be modified otherwise because the changes are hard to track outside added manually section. In this method all widgets, tabs, buttons etc. are created but not named yet.

Definition at line 172 of file interface.py.

## ◆ show_parameters()

def interface.Ui_MainWindow.show_parameters | ( |  | self | ) |

Loads all camera's features and creates dynamic widgets for every feature.

This method is called when user first enters parameters tab or when the configuration level changes. All the widgets are created dynamically and based on the type of the feature, proper widget type is selected. Also these widgets have method to change their value associated with them when created.

Definition at line 1741 of file interface.py.

## ◆ show_preview()

def interface.Ui_MainWindow.show_preview | ( |  | self | ) |

Draws image from camera in real time.

Acquires images from camera and draws them in real time at the same rate as is display refresh_rate. If the frames come too fast, only one at the most recent one is drawn and the rest is dumped. During this method an attempt to classify the image is called using predict method.

Definition at line 1310 of file interface.py.

## ◆ single_frame()

def interface.Ui_MainWindow.single_frame | ( |  | self | ) |

Acquire and draw a single frame.

Unlike the live preview, this method runs in the main thread and therefore can modify frontend variables. The method may block whole application but its execution should be fast enough to not make a difference.

Definition at line 1264 of file interface.py.

## ◆ start_refresh_parameters()

def interface.Ui_MainWindow.start_refresh_parameters | ( |  | self | ) |

Called automatically when feat_refresh_timer runs out.

used to start a thread to refresh parameters values. Not called by user but automatically.

Definition at line 1899 of file interface.py.

## ◆ tab_changed()

def interface.Ui_MainWindow.tab_changed | ( |  | self | ) |

Called when tab changes.

Used to do actions when entering specific tab.

Definition at line 905 of file interface.py.

## ◆ train_model()

def interface.Ui_MainWindow.train_model | ( |  | self | ) |

When the train button is pressed, this methods makes sure the training will start correctly.

The method starts the training only if it is not already in progress. The training is started in its own thread and all progress variables are passed into the training method. At the same time, another thread is created for controling the progress status updates and callbacks.

Definition at line 1665 of file interface.py.

## ◆ training_callback()

def interface.Ui_MainWindow.training_callback | ( |  | self | ) |

Auxiliary method used to transfer thread state changes into the main thread.

Definition at line 1694 of file interface.py.

## ◆ update_img()

def interface.Ui_MainWindow.update_img | ( |  | self | ) |

update image in the live preview window.

This method must run in the main thread as it modifies frontend data of the gui.

Definition at line 1415 of file interface.py.

## ◆ update_parameters()

def interface.Ui_MainWindow.update_parameters | ( |  | self | ) |

Writes new values of the parameters to the GUI.

After get_new_val_parameters finishes, the update_flag is set and this method can transfer the new values of the parameters to the GUI. Like start_refresh_parameters, this method is bound to the timer.

Definition at line 1947 of file interface.py.

## ◆ update_processing()

def interface.Ui_MainWindow.update_processing | ( |  | self | ) |

While the dataset is being processed this method shows the progress to the user.

Method must run in the main thread

Definition at line 1659 of file interface.py.

## ◆ update_training()

def interface.Ui_MainWindow.update_training | ( |  | self | ) |

Updates training progress in the GUI.

Is called as a result of training_callback change. All variables are set up in other threads and this method reads them and update the GUI in the main application thread.

Definition at line 1709 of file interface.py.

## Member Data Documentation

## ◆ action_save_frame

interface.Ui_MainWindow.action_save_frame
| static

Definition at line 683 of file interface.py.

## ◆ action_save_settings

interface.Ui_MainWindow.action_save_settings
| static

Definition at line 686 of file interface.py.

## ◆ actionAbout_Anubis

interface.Ui_MainWindow.actionAbout_Anubis
| static

Definition at line 689 of file interface.py.

## ◆ actionAdd_Remove_cti_file

interface.Ui_MainWindow.actionAdd_Remove_cti_file
| static

Definition at line 674 of file interface.py.

## ◆ actionGit_Repository

interface.Ui_MainWindow.actionGit_Repository
| static

Definition at line 692 of file interface.py.

## ◆ actionLoad_camera_config

interface.Ui_MainWindow.actionLoad_camera_config
| static

Definition at line 698 of file interface.py.

## ◆ actionOpen_Help

interface.Ui_MainWindow.actionOpen_Help
| static

Definition at line 677 of file interface.py.

## ◆ actionRemove_cti_file

interface.Ui_MainWindow.actionRemove_cti_file
| static

Definition at line 680 of file interface.py.

## ◆ actionSave_camera_config

interface.Ui_MainWindow.actionSave_camera_config
| static

Definition at line 695 of file interface.py.

## ◆ btn_add_cti

interface.Ui_MainWindow.btn_add_cti

Definition at line 300 of file interface.py.

## ◆ btn_connect_camera

interface.Ui_MainWindow.btn_connect_camera

Definition at line 273 of file interface.py.

## ◆ btn_disconnect_camera

interface.Ui_MainWindow.btn_disconnect_camera

Definition at line 279 of file interface.py.

## ◆ btn_load_config

interface.Ui_MainWindow.btn_load_config
| static

Definition at line 358 of file interface.py.

## ◆ btn_load_dataset

interface.Ui_MainWindow.btn_load_dataset
| static

Definition at line 561 of file interface.py.

## ◆ btn_load_model

interface.Ui_MainWindow.btn_load_model
| static

Definition at line 459 of file interface.py.

## ◆ btn_preprocess

interface.Ui_MainWindow.btn_preprocess
| static

Definition at line 585 of file interface.py.

## ◆ btn_refresh_cameras

interface.Ui_MainWindow.btn_refresh_cameras

Definition at line 276 of file interface.py.

## ◆ btn_remove_cti

interface.Ui_MainWindow.btn_remove_cti

Definition at line 297 of file interface.py.

## ◆ btn_reset_sequence_settings

interface.Ui_MainWindow.btn_reset_sequence_settings
| static

Definition at line 435 of file interface.py.

## ◆ btn_save_config

interface.Ui_MainWindow.btn_save_config
| static

Definition at line 353 of file interface.py.

## ◆ btn_save_model

interface.Ui_MainWindow.btn_save_model
| static

Definition at line 449 of file interface.py.

## ◆ btn_save_sequence_settings

interface.Ui_MainWindow.btn_save_sequence_settings
| static

Definition at line 431 of file interface.py.

## ◆ btn_single_frame

interface.Ui_MainWindow.btn_single_frame

Definition at line 240 of file interface.py.

## ◆ btn_start_preview

interface.Ui_MainWindow.btn_start_preview

Definition at line 244 of file interface.py.

## ◆ btn_start_recording

interface.Ui_MainWindow.btn_start_recording

Definition at line 249 of file interface.py.

## ◆ btn_train_cancel

interface.Ui_MainWindow.btn_train_cancel
| static

Definition at line 539 of file interface.py.

## ◆ btn_zoom_100

interface.Ui_MainWindow.btn_zoom_100

Definition at line 232 of file interface.py.

## ◆ btn_zoom_fit

interface.Ui_MainWindow.btn_zoom_fit

Definition at line 236 of file interface.py.

## ◆ btn_zoom_in

interface.Ui_MainWindow.btn_zoom_in

Definition at line 224 of file interface.py.

## ◆ btn_zoom_out

interface.Ui_MainWindow.btn_zoom_out

Definition at line 228 of file interface.py.

## ◆ callback_preprocess_thread

interface.Ui_MainWindow.callback_preprocess_thread

Definition at line 1634 of file interface.py.

## ◆ callback_process_signal

interface.Ui_MainWindow.callback_process_signal

Widget used to transfer GUI changes from thread into the main thread while processing dataset.

Definition at line 121 of file interface.py.

## ◆ callback_train_signal

interface.Ui_MainWindow.callback_train_signal

Widget used to transfer GUI changes from thread into the main thread while training.

Definition at line 117 of file interface.py.

## ◆ callback_train_thread

interface.Ui_MainWindow.callback_train_thread

Definition at line 1685 of file interface.py.

## ◆ camera_icon

interface.Ui_MainWindow.camera_icon
| static

Definition at line 653 of file interface.py.

## ◆ camera_preview

interface.Ui_MainWindow.camera_preview

Definition at line 205 of file interface.py.

## ◆ camera_status

interface.Ui_MainWindow.camera_status
| static

Definition at line 658 of file interface.py.

## ◆ centralwidget

interface.Ui_MainWindow.centralwidget

Definition at line 183 of file interface.py.

## ◆ children_items

interface.Ui_MainWindow.children_items

Holds children widgets for tree widget.

Definition at line 92 of file interface.py.

## ◆ combo_config_level

interface.Ui_MainWindow.combo_config_level
| static

Definition at line 332 of file interface.py.

## ◆ combo_remove_cti

interface.Ui_MainWindow.combo_remove_cti

Definition at line 307 of file interface.py.

## ◆ connected

interface.Ui_MainWindow.connected

Is camera connected.

Definition at line 104 of file interface.py.

## ◆ detected

interface.Ui_MainWindow.detected

List of detected cameras.

Definition at line 102 of file interface.py.

## ◆ feat_labels

interface.Ui_MainWindow.feat_labels

Contains all dynamically created labels of parameters.

Definition at line 97 of file interface.py.

## ◆ feat_queue

interface.Ui_MainWindow.feat_queue

Stores dictionaries of every parameter until they are processed to the GUI.

Definition at line 99 of file interface.py.

## ◆ feat_refresh_timer

interface.Ui_MainWindow.feat_refresh_timer

Automatic feature refresh timer.

Definition at line 51 of file interface.py.

## ◆ feat_widgets

interface.Ui_MainWindow.feat_widgets

Contains all dynamically created widgets for parameters.

Definition at line 95 of file interface.py.

## ◆ file_manager_save_location

interface.Ui_MainWindow.file_manager_save_location
| static

Definition at line 396 of file interface.py.

## ◆ formLayout_2

interface.Ui_MainWindow.formLayout_2
| static

Definition at line 409 of file interface.py.

## ◆ formLayout_3

interface.Ui_MainWindow.formLayout_3
| static

Definition at line 393 of file interface.py.

## ◆ formLayout_4

interface.Ui_MainWindow.formLayout_4
| static

Definition at line 374 of file interface.py.

## ◆ fps

interface.Ui_MainWindow.fps

Current frames per second received from the camera.

Definition at line 163 of file interface.py.

## ◆ fps_status

interface.Ui_MainWindow.fps_status
| static

Definition at line 662 of file interface.py.

## ◆ frame_config_level

interface.Ui_MainWindow.frame_config_level
| static

Definition at line 323 of file interface.py.

## ◆ frame_cti

interface.Ui_MainWindow.frame_cti

Definition at line 291 of file interface.py.

## ◆ frame_train_preprocess

interface.Ui_MainWindow.frame_train_preprocess
| static

Definition at line 550 of file interface.py.

## ◆ frame_train_stats

interface.Ui_MainWindow.frame_train_stats
| static

Definition at line 487 of file interface.py.

## ◆ get_params_thread

interface.Ui_MainWindow.get_params_thread

Definition at line 1995 of file interface.py.

## ◆ gridLayout

interface.Ui_MainWindow.gridLayout

Definition at line 188 of file interface.py.

## ◆ gridLayout_3

interface.Ui_MainWindow.gridLayout_3
| static

Definition at line 446 of file interface.py.

## ◆ gridLayout_4

interface.Ui_MainWindow.gridLayout_4

Definition at line 221 of file interface.py.

## ◆ gridLayout_5

interface.Ui_MainWindow.gridLayout_5
| static

Definition at line 469 of file interface.py.

## ◆ gridLayout_6

interface.Ui_MainWindow.gridLayout_6
| static

Definition at line 555 of file interface.py.

## ◆ gridLayout_7

interface.Ui_MainWindow.gridLayout_7

Definition at line 295 of file interface.py.

## ◆ gridLayout_8

interface.Ui_MainWindow.gridLayout_8
| static

Definition at line 492 of file interface.py.

## ◆ gridLayout_9

interface.Ui_MainWindow.gridLayout_9
| static

Definition at line 481 of file interface.py.

## ◆ h_preview

interface.Ui_MainWindow.h_preview

Height of the preview area.

Definition at line 62 of file interface.py.

## ◆ horizontalLayout_2

interface.Ui_MainWindow.horizontalLayout_2
| static

Definition at line 350 of file interface.py.

## ◆ horizontalLayout_3

interface.Ui_MainWindow.horizontalLayout_3

Definition at line 271 of file interface.py.

## ◆ horizontalLayout_5

interface.Ui_MainWindow.horizontalLayout_5
| static

Definition at line 327 of file interface.py.

## ◆ icon_busy

interface.Ui_MainWindow.icon_busy

Holds image of busy state of a camera.

Definition at line 160 of file interface.py.

## ◆ icon_offline

interface.Ui_MainWindow.icon_offline

Holds image of offline state of a camera.

Definition at line 156 of file interface.py.

## ◆ icon_standby

interface.Ui_MainWindow.icon_standby

Holds image of standby state of a camera.

Definition at line 158 of file interface.py.

## ◆ image_pixmap

interface.Ui_MainWindow.image_pixmap

Holds current frame displayed in the GUI.

Definition at line 58 of file interface.py.

## ◆ interupt_flag

interface.Ui_MainWindow.interupt_flag

Signals that a recording was stopped, either by timer or manually.

Definition at line 148 of file interface.py.

## ◆ label_acc

interface.Ui_MainWindow.label_acc
| static

Definition at line 504 of file interface.py.

## ◆ label_active_epoch

interface.Ui_MainWindow.label_active_epoch
| static

Definition at line 526 of file interface.py.

## ◆ label_config_level

interface.Ui_MainWindow.label_config_level
| static

Definition at line 329 of file interface.py.

## ◆ label_epoch

interface.Ui_MainWindow.label_epoch
| static

Definition at line 522 of file interface.py.

## ◆ label_file_name_recording

interface.Ui_MainWindow.label_file_name_recording
| static

Definition at line 377 of file interface.py.

## ◆ label_img_resize

interface.Ui_MainWindow.label_img_resize
| static

Definition at line 557 of file interface.py.

## ◆ label_loss

interface.Ui_MainWindow.label_loss
| static

Definition at line 535 of file interface.py.

## ◆ label_res_height

interface.Ui_MainWindow.label_res_height
| static

Definition at line 598 of file interface.py.

## ◆ label_res_width

interface.Ui_MainWindow.label_res_width
| static

Definition at line 594 of file interface.py.

## ◆ label_sequence_duration

interface.Ui_MainWindow.label_sequence_duration
| static

Definition at line 412 of file interface.py.

## ◆ label_sequence_duration_tip

interface.Ui_MainWindow.label_sequence_duration_tip
| static

Definition at line 424 of file interface.py.

## ◆ label_sequence_name

interface.Ui_MainWindow.label_sequence_name
| static

Definition at line 387 of file interface.py.

## ◆ label_train_epochs

interface.Ui_MainWindow.label_train_epochs
| static

Definition at line 581 of file interface.py.

## ◆ label_val_acc

interface.Ui_MainWindow.label_val_acc
| static

Definition at line 495 of file interface.py.

## ◆ label_val_loss

interface.Ui_MainWindow.label_val_loss
| static

Definition at line 508 of file interface.py.

## ◆ label_val_split

interface.Ui_MainWindow.label_val_split
| static

Definition at line 565 of file interface.py.

## ◆ last_time_move

interface.Ui_MainWindow.last_time_move

Definition at line 901 of file interface.py.

## ◆ line_edit_acc

interface.Ui_MainWindow.line_edit_acc
| static

Definition at line 499 of file interface.py.

## ◆ line_edit_dataset_path

interface.Ui_MainWindow.line_edit_dataset_path
| static

Definition at line 616 of file interface.py.

## ◆ line_edit_loss

interface.Ui_MainWindow.line_edit_loss
| static

Definition at line 530 of file interface.py.

## ◆ line_edit_model_name

interface.Ui_MainWindow.line_edit_model_name
| static

Definition at line 454 of file interface.py.

## ◆ line_edit_res_height

interface.Ui_MainWindow.line_edit_res_height
| static

Definition at line 608 of file interface.py.

## ◆ line_edit_res_width

interface.Ui_MainWindow.line_edit_res_width
| static

Definition at line 602 of file interface.py.

## ◆ line_edit_save_location

interface.Ui_MainWindow.line_edit_save_location
| static

Definition at line 401 of file interface.py.

## ◆ line_edit_sequence_duration

interface.Ui_MainWindow.line_edit_sequence_duration
| static

Definition at line 416 of file interface.py.

## ◆ line_edit_sequence_name

interface.Ui_MainWindow.line_edit_sequence_name
| static

Definition at line 381 of file interface.py.

## ◆ line_edit_val_acc

interface.Ui_MainWindow.line_edit_val_acc
| static

Definition at line 512 of file interface.py.

## ◆ line_edit_val_loss

interface.Ui_MainWindow.line_edit_val_loss
| static

Definition at line 517 of file interface.py.

## ◆ list_detected_cameras

interface.Ui_MainWindow.list_detected_cameras

Definition at line 283 of file interface.py.

## ◆ menubar

interface.Ui_MainWindow.menubar
| static

Definition at line 634 of file interface.py.

## ◆ menuFile

interface.Ui_MainWindow.menuFile
| static

Definition at line 637 of file interface.py.

## ◆ menuHelp

interface.Ui_MainWindow.menuHelp
| static

Definition at line 639 of file interface.py.

## ◆ model_loaded

interface.Ui_MainWindow.model_loaded

Is tensorflow model loaded.

Definition at line 65 of file interface.py.

## ◆ move_x_prev

interface.Ui_MainWindow.move_x_prev

Last value of the dragging in the preview area - x axis.

Definition at line 68 of file interface.py.

## ◆ move_y_prev

interface.Ui_MainWindow.move_y_prev

Last value of the dragging in the preview area - y axis.

Definition at line 70 of file interface.py.

## ◆ param_callback_thread

interface.Ui_MainWindow.param_callback_thread

Definition at line 2000 of file interface.py.

## ◆ param_flag

interface.Ui_MainWindow.param_flag

Flag is not set while the application is getting parameters from the cam object.

Definition at line 109 of file interface.py.

## ◆ parameter_values

interface.Ui_MainWindow.parameter_values

Used to store values of parameters when automatically refreshing them.

Definition at line 75 of file interface.py.

## ◆ parameters_signal

interface.Ui_MainWindow.parameters_signal

Widget used to transfer GUI changes from thread into the main thread while showing parameters.

Definition at line 129 of file interface.py.

## ◆ prediction_flag

interface.Ui_MainWindow.prediction_flag

Signals that prediction was completed and a new one can be made.

Definition at line 145 of file interface.py.

## ◆ prediction_thread

interface.Ui_MainWindow.prediction_thread

Definition at line 1736 of file interface.py.

## ◆ predictions

interface.Ui_MainWindow.predictions
| static

Definition at line 472 of file interface.py.

## ◆ preprocess_thread

interface.Ui_MainWindow.preprocess_thread

Definition at line 1627 of file interface.py.

## ◆ preview_and_control

interface.Ui_MainWindow.preview_and_control

Definition at line 191 of file interface.py.

## ◆ preview_area

interface.Ui_MainWindow.preview_area

Definition at line 199 of file interface.py.

## ◆ preview_fit

interface.Ui_MainWindow.preview_fit

Resizing image to preview area size instead of using zoom.

Definition at line 87 of file interface.py.

## ◆ preview_live

interface.Ui_MainWindow.preview_live

State of live preview.

Definition at line 153 of file interface.py.

## ◆ preview_zoom

interface.Ui_MainWindow.preview_zoom

Value of current preview zoom in %/100.

Definition at line 85 of file interface.py.

## ◆ process_flag

interface.Ui_MainWindow.process_flag

Signals that computer vision class is still processing dataset.

Definition at line 112 of file interface.py.

## ◆ process_perc

interface.Ui_MainWindow.process_perc

Progress percentage of dataset loading/preprocessing.

Definition at line 72 of file interface.py.

## ◆ process_prog_flag

interface.Ui_MainWindow.process_prog_flag

Signal used to tell the main thread to update dataset progress.

Definition at line 114 of file interface.py.

## ◆ progress_bar_preprocess

interface.Ui_MainWindow.progress_bar_preprocess
| static

Definition at line 589 of file interface.py.

## ◆ progress_bar_train

interface.Ui_MainWindow.progress_bar_train
| static

Definition at line 543 of file interface.py.

## ◆ progress_flag

interface.Ui_MainWindow.progress_flag

Signal used to tell the main thread to update training progress.

Definition at line 133 of file interface.py.

## ◆ receive_status

interface.Ui_MainWindow.receive_status
| static

Definition at line 666 of file interface.py.

## ◆ received

interface.Ui_MainWindow.received

Total sum of received frames for active camera session.

Definition at line 165 of file interface.py.

## ◆ recording

interface.Ui_MainWindow.recording

State of recording.

Definition at line 151 of file interface.py.

## ◆ resize_signal

interface.Ui_MainWindow.resize_signal

Widget used to transfer GUI changes from thread into the main thread while updating preview.

Definition at line 125 of file interface.py.

## ◆ seq_duration_thread

interface.Ui_MainWindow.seq_duration_thread

Definition at line 1168 of file interface.py.

## ◆ show_preview_thread

interface.Ui_MainWindow.show_preview_thread

Definition at line 1172 of file interface.py.

## ◆ spacerItem1

interface.Ui_MainWindow.spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
| static

Definition at line 428 of file interface.py.

## ◆ spacerItem2

interface.Ui_MainWindow.spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
| static

Definition at line 614 of file interface.py.

## ◆ spin_box_epochs

interface.Ui_MainWindow.spin_box_epochs
| static

Definition at line 575 of file interface.py.

## ◆ spin_box_val_split

interface.Ui_MainWindow.spin_box_val_split
| static

Definition at line 569 of file interface.py.

## ◆ status_label

interface.Ui_MainWindow.status_label
| static

Definition at line 649 of file interface.py.

## ◆ status_timer

interface.Ui_MainWindow.status_timer

Timer used to show a status messages for specific time window.

Definition at line 168 of file interface.py.

## ◆ statusbar

interface.Ui_MainWindow.statusbar
| static

Definition at line 645 of file interface.py.

## ◆ stretch

interface.Ui_MainWindow.stretch
| static

Definition at line 651 of file interface.py.

## ◆ tab_classify

interface.Ui_MainWindow.tab_classify
| static

Definition at line 467 of file interface.py.

## ◆ tab_config

interface.Ui_MainWindow.tab_config
| static

Definition at line 318 of file interface.py.

## ◆ tab_connect

interface.Ui_MainWindow.tab_connect

Definition at line 265 of file interface.py.

## ◆ tab_recording_config

interface.Ui_MainWindow.tab_recording_config
| static

Definition at line 366 of file interface.py.

## ◆ tab_tensorflow

interface.Ui_MainWindow.tab_tensorflow
| static

Definition at line 443 of file interface.py.

## ◆ tab_train

interface.Ui_MainWindow.tab_train
| static

Definition at line 478 of file interface.py.

## ◆ tabs

interface.Ui_MainWindow.tabs

Definition at line 259 of file interface.py.

## ◆ tensorflow_tabs

interface.Ui_MainWindow.tensorflow_tabs
| static

Definition at line 464 of file interface.py.

## ◆ tip_add_cti

interface.Ui_MainWindow.tip_add_cti

Definition at line 303 of file interface.py.

## ◆ top_items

interface.Ui_MainWindow.top_items

Holds parameter category paths for tree widget.

Definition at line 90 of file interface.py.

## ◆ train_thread

interface.Ui_MainWindow.train_thread

Definition at line 1678 of file interface.py.

## ◆ train_vals

interface.Ui_MainWindow.train_vals

dictionary holding variables used in a callback while training

Definition at line 136 of file interface.py.

## ◆ training_flag

interface.Ui_MainWindow.training_flag

Is true while the tensorflow training is running.

Definition at line 107 of file interface.py.

## ◆ tree_features

interface.Ui_MainWindow.tree_features
| static

Definition at line 342 of file interface.py.

## ◆ update_completed_flag

interface.Ui_MainWindow.update_completed_flag

Flag used when running various parameter refreshing methods.

Definition at line 78 of file interface.py.

## ◆ update_flag

interface.Ui_MainWindow.update_flag

Flag used when running various parameter refreshing methods.

Definition at line 82 of file interface.py.

## ◆ update_thread

interface.Ui_MainWindow.update_thread

Definition at line 1911 of file interface.py.

## ◆ verticalLayout

interface.Ui_MainWindow.verticalLayout
| static

Definition at line 368 of file interface.py.

## ◆ verticalLayout_2

interface.Ui_MainWindow.verticalLayout_2

Definition at line 194 of file interface.py.

## ◆ verticalLayout_3

interface.Ui_MainWindow.verticalLayout_3
| static

Definition at line 320 of file interface.py.

## ◆ verticalLayout_4

interface.Ui_MainWindow.verticalLayout_4

Definition at line 267 of file interface.py.

## ◆ vision

interface.Ui_MainWindow.vision
| static

Definition at line 730 of file interface.py.

## ◆ w_preview

interface.Ui_MainWindow.w_preview

Width of the preview area.

Definition at line 60 of file interface.py.

## ◆ widget_3

interface.Ui_MainWindow.widget_3
| static

Definition at line 348 of file interface.py.

## ◆ widget_4

interface.Ui_MainWindow.widget_4

Definition at line 269 of file interface.py.

## ◆ widget_controls

interface.Ui_MainWindow.widget_controls

Definition at line 218 of file interface.py.

## ◆ widget_duration

interface.Ui_MainWindow.widget_duration
| static

Definition at line 407 of file interface.py.

## ◆ widget_sequence_name

interface.Ui_MainWindow.widget_sequence_name
| static

Definition at line 371 of file interface.py.

## ◆ widget_sequence_save

interface.Ui_MainWindow.widget_sequence_save
| static

Definition at line 391 of file interface.py.

The documentation for this class was generated from the following file:

- interface.py